Page MenuHomePhabricator

efl_ui_tab_bar: remove Efl.Ui.Clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

nothing here uses this directly, and nothing emits events. For now the
implementation is removed. If this is required later on, it can be
readded.

Depends on D8826

Diff Detail

Repository
rEFL core/efl
Branch
devs/bu5hm4n/work
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11375
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21962.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21995.May 7 2019, 2:54 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22001.May 7 2019, 2:55 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22109.May 12 2019, 2:18 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:49 AM
This revision is now accepted and ready to land.May 13 2019, 11:49 AM
bu5hm4n updated this revision to Diff 22160.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22180.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22191.May 14 2019, 11:21 AM

update to new API names, redo

Closed by commit rEFL930f481eee29: efl_ui_tab_bar: remove Efl.Ui.Clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:19 PM
This revision was automatically updated to reflect the committed changes.